[
  {
    "history": [
      "user : i need a train to birmingham new street that arrives by 8:00."
    ],
    "kb": "kb : train four",
    "belief": "belief : train destination = birmingham new street ; arriveby = 08:00",
    "reply": "system : where are you departing from ?",
    "name": "SNG0359.json",
    "dp": "dp : train ( request ( depart ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : i need a train to birmingham new street that arrives by 8:00.",
      "system : where are you departing from ?",
      "user : i am leaving from cambridge on tuesday"
    ],
    "kb": "kb : train one",
    "belief": "belief : train destination = birmingham new street ; day = tuesday ; arriveby = 08:00 ; departure = cambridge",
    "reply": "system : okay , i have got a training leaving at [value_time] and arriving by [value_time] , will that be good ?",
    "name": "SNG0359.json",
    "dp": "dp : train ( inform ( arrive =  07:44 , leave = 5:01 ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : i need a train to birmingham new street that arrives by 8:00.",
      "system : where are you departing from ?",
      "user : i am leaving from cambridge on tuesday",
      "system : okay , i have got a training leaving at [value_time] and arriving by [value_time] , will that be good ?",
      "user : perfect. i'd like 8 tickets please."
    ],
    "kb": "kb : train one",
    "belief": "belief : train destination = birmingham new street ; day = tuesday ; arriveby = 08:00 ; departure = cambridge | booking people = 8",
    "reply": "system : okay i have booked you [value_count] tickets on this train . your reference number is [train_reference] . is there anything else ?",
    "name": "SNG0359.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : i need a train to birmingham new street that arrives by 8:00.",
      "system : where are you departing from ?",
      "user : i am leaving from cambridge on tuesday",
      "system : okay , i have got a training leaving at [value_time] and arriving by [value_time] , will that be good ?",
      "user : perfect. i'd like 8 tickets please.",
      "system : okay i have booked you [value_count] tickets on this train . your reference number is [train_reference] . is there anything else ?",
      "user : okay. thank you for your help. that is all i believe."
    ],
    "kb": "kb : train one",
    "belief": "belief : train destination = birmingham new street ; day = tuesday ; arriveby = 08:00 ; departure = cambridge | booking people = 8",
    "reply": "system : sure . glad to have helped .",
    "name": "SNG0359.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : i would like to find a place to go in the centre of town, that includes multiple sports"
    ],
    "kb": "kb : attraction zero",
    "belief": "belief : attraction type = sports ; area = centre",
    "reply": "system : unfortunately , i am not finding anything that meets your criteria .",
    "name": "SNG1100.json",
    "dp": "dp : n",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i would like to find a place to go in the centre of town, that includes multiple sports",
      "system : unfortunately , i am not finding anything that meets your criteria .",
      "user : are there museums instead?"
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum ; area = centre",
    "reply": "system : there are [value_count] museums in the [value_area] of town . how about [attraction_name] in [attraction_address] ?",
    "name": "SNG1100.json",
    "dp": "dp : attraction ( recommend ( addr = unit su43 , addr =  grande arcade , addr =  saint andrews street , name = castle galleries ) ; inform ( type = museums , choice = 11 , area = centre of town ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i would like to find a place to go in the centre of town, that includes multiple sports",
      "system : unfortunately , i am not finding anything that meets your criteria .",
      "user : are there museums instead?",
      "system : there are [value_count] museums in the [value_area] of town . how about [attraction_name] in [attraction_address] ?",
      "user : that would be perfect. thanks for all your help. have a good night."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum ; area = centre",
    "reply": "system : is there anything else you need help with ?",
    "name": "SNG1100.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i would like to find a place to go in the centre of town, that includes multiple sports",
      "system : unfortunately , i am not finding anything that meets your criteria .",
      "user : are there museums instead?",
      "system : there are [value_count] museums in the [value_area] of town . how about [attraction_name] in [attraction_address] ?",
      "user : that would be perfect. thanks for all your help. have a good night.",
      "system : is there anything else you need help with ?",
      "user : no, that's all."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum ; area = centre",
    "reply": "system : okay , then , enjoy your day .",
    "name": "SNG1100.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i am looking for a museum in the town centre."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum ; area = centre",
    "reply": "system : may i suggest [attraction_name] located at [value_count] [attraction_address] . the phone number is [attraction_phone] . admission is free .",
    "name": "SNG1297.json",
    "dp": "dp : attraction ( recommend ( phone = 01223357708 , addr = 10 king s parade , name = primavera ) ; inform ( fee = free ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i am looking for a museum in the town centre.",
      "system : may i suggest [attraction_name] located at [value_count] [attraction_address] . the phone number is [attraction_phone] . admission is free .",
      "user : sounds perfect.  what is the postcode?"
    ],
    "kb": "kb : attraction one",
    "belief": "belief : attraction type = museum ; name = primavera ; area = centre",
    "reply": "system : the post code is [restaurant_postcode] . is there anything else you would like to know ?",
    "name": "SNG1297.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i am looking for a museum in the town centre.",
      "system : may i suggest [attraction_name] located at [value_count] [attraction_address] . the phone number is [attraction_phone] . admission is free .",
      "user : sounds perfect.  what is the postcode?",
      "system : the post code is [restaurant_postcode] . is there anything else you would like to know ?",
      "user : no, that will be all thank you."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum ; area = centre",
    "reply": "system : thank you and have a pleasant visit , goodbye !",
    "name": "SNG1297.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : hi, i'd like to find a museum please."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum",
    "reply": "system : we have many museums in town what area are you interested in ?",
    "name": "SNG1107.json",
    "dp": "dp : attraction ( request ( area ) ; inform ( type = museums , choice = many ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : hi, i'd like to find a museum please.",
      "system : we have many museums in town what area are you interested in ?",
      "user : i don't mind but i'd prefer something in the east"
    ],
    "kb": "kb : attraction four",
    "belief": "belief : attraction type = museum ; area = east",
    "reply": "system : how does [attraction_name] sound ? it is located on [attraction_address] and there is no entrance fee ?",
    "name": "SNG1107.json",
    "dp": "dp : attraction ( recommend ( fee = no entrance fee , addr = 5 greens road , name = cambridge artworks ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : hi, i'd like to find a museum please.",
      "system : we have many museums in town what area are you interested in ?",
      "user : i don't mind but i'd prefer something in the east",
      "system : how does [attraction_name] sound ? it is located on [attraction_address] and there is no entrance fee ?",
      "user : what is the postcode?"
    ],
    "kb": "kb : attraction four",
    "belief": "belief : attraction type = museum ; area = east",
    "reply": "system : sure their postcode is [attraction_postcode] . is there anything else ?",
    "name": "SNG1107.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : hi, i'd like to find a museum please.",
      "system : we have many museums in town what area are you interested in ?",
      "user : i don't mind but i'd prefer something in the east",
      "system : how does [attraction_name] sound ? it is located on [attraction_address] and there is no entrance fee ?",
      "user : what is the postcode?",
      "system : sure their postcode is [attraction_postcode] . is there anything else ?",
      "user : no, that's all i need. thanks so much for your help."
    ],
    "kb": "kb : attraction four",
    "belief": "belief : attraction type = museum ; area = east",
    "reply": "system : you are welcome , have a wonderful day .",
    "name": "SNG1107.json",
    "dp": "dp : general ( bye ( none = none ) ; welcome ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : a french restaurant in the centre part of town. please give me address and phone number."
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = french ; area = centre",
    "reply": "system : [restaurant_name] can be reached at [restaurant_phone] and is at [restaurant_address] . do you require any additional information ?",
    "name": "WOZ20560.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : a french restaurant in the centre part of town. please give me address and phone number.",
      "system : [restaurant_name] can be reached at [restaurant_phone] and is at [restaurant_address] . do you require any additional information ?",
      "user : thank you goodbye."
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = french ; area = centre",
    "reply": "system : goodbye .",
    "name": "WOZ20560.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : i want some information on the university arms hotel please"
    ],
    "kb": "kb : hotel one",
    "belief": "belief : hotel name = university arms hotel ; parking = yes ; stars = 4 ; type = hotel",
    "reply": "system : the [hotel_name] is an [value_pricerange] hotel in the [value_area] with internet and parking . would you like me to make a booking ?",
    "name": "SSNG0342.json",
    "dp": "dp : booking ( inform ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i want some information on the university arms hotel please",
      "system : the [hotel_name] is an [value_pricerange] hotel in the [value_area] with internet and parking . would you like me to make a booking ?",
      "user : yes. i need rooms for 5 people for 5 nights, starting wednesday."
    ],
    "kb": "kb : hotel one",
    "belief": "belief : hotel name = university arms hotel ; parking = yes ; stars = 4 ; type = hotel | booking day = wednesday ; people = 5 ; stay = 5",
    "reply": "system : unfortunately , the hotel is unavailable at that time . would you like me to find another hotel ?",
    "name": "SSNG0342.json",
    "dp": "dp : booking ( nobook ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i want some information on the university arms hotel please",
      "system : the [hotel_name] is an [value_pricerange] hotel in the [value_area] with internet and parking . would you like me to make a booking ?",
      "user : yes. i need rooms for 5 people for 5 nights, starting wednesday.",
      "system : unfortunately , the hotel is unavailable at that time . would you like me to find another hotel ?",
      "user : are there any listings for a moderately priced hotel in that area?"
    ],
    "kb": "kb : hotel zero",
    "belief": "belief : hotel name = none ; area = centre ; pricerange = moderate | booking day = wednesday ; people = 5 ; stay = 5",
    "reply": "system : [hotel_name] is [value_pricerange] -ly priceed . would you like me to book you ?",
    "name": "SSNG0342.json",
    "dp": "dp : booking ( inform ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : a cheap jamaican restaurant, please. if you cannot find one, then mediterranean."
    ],
    "kb": "kb : restaurant zero",
    "belief": "belief : restaurant food = jamaican ; pricerange = cheap",
    "reply": "system : there are no jamaican restaurant -s listed . i will look for [value_food] .",
    "name": "WOZ20249.json",
    "dp": "dp : restaurant ( nooffer ( none = none ) ; inform ( food = mediterranean ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : a cheap jamaican restaurant, please. if you cannot find one, then mediterranean.",
      "system : there are no jamaican restaurant -s listed . i will look for [value_food] .",
      "user : okay what is the phone number and postcode of that mediterranean place?"
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = mediterranean ; pricerange = cheap",
    "reply": "system : [restaurant_name] is located in the [value_area] at postcode [restaurant_postcode] and can be reached at [restaurant_phone] . can i get anything else for you ?",
    "name": "WOZ20249.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : a cheap jamaican restaurant, please. if you cannot find one, then mediterranean.",
      "system : there are no jamaican restaurant -s listed . i will look for [value_food] .",
      "user : okay what is the phone number and postcode of that mediterranean place?",
      "system : [restaurant_name] is located in the [value_area] at postcode [restaurant_postcode] and can be reached at [restaurant_phone] . can i get anything else for you ?",
      "user : thank you"
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = mediterranean ; pricerange = cheap ; name = the gardenia ; area = centre",
    "reply": "system : thank you for using the [value_place] restaurant system . goodbye .",
    "name": "WOZ20249.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : where'a a restaurant on the east part f town?"
    ],
    "kb": "kb : restaurant more than five",
    "belief": "belief : restaurant area = east",
    "reply": "system : what type of food would you like ?",
    "name": "WOZ20297.json",
    "dp": "dp : restaurant ( request ( food ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : where'a a restaurant on the east part f town?",
      "system : what type of food would you like ?",
      "user : it doesn't matter"
    ],
    "kb": "kb : restaurant more than five",
    "belief": "belief : restaurant food = dont care ; area = east",
    "reply": "system : the [restaurant_name] is located in city [value_area]",
    "name": "WOZ20297.json",
    "dp": "dp : restaurant ( inform ( name = the royal standard , area = city centre ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : where'a a restaurant on the east part f town?",
      "system : what type of food would you like ?",
      "user : it doesn't matter",
      "system : the [restaurant_name] is located in city [value_area]",
      "user : are there any restaurants located not in the city centre but in the east part of town?"
    ],
    "kb": "kb : restaurant more than five",
    "belief": "belief : restaurant food = dont care ; area = east",
    "reply": "system : there are a few restaurant -s in the [value_area] part of town . are you looking for a certain price range ?",
    "name": "WOZ20297.json",
    "dp": "dp : restaurant ( request ( price ) ; inform ( choice = a few , area = east ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : i want to book a taxi."
    ],
    "kb": "restaurant : 110 ; hotel : 33 ; attraction : 79 ; train : 2828|restaurant not booked;hotel not booked;train not booked",
    "belief": "belief : none",
    "reply": "system : where would you like to go ?",
    "name": "SNG1163.json",
    "dp": "dp : taxi ( request ( dest ) )",
    "domains": []
  },
  {
    "history": [
      "user : i want to book a taxi.",
      "system : where would you like to go ?",
      "user : i want to get to the ghandi."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = the gandhi",
    "reply": "system : where will the taxi be picking you up at and what time do you wish to arrive at the ghandi ?",
    "name": "SNG1163.json",
    "dp": "dp : taxi ( request ( depart , arrive ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : i want to book a taxi.",
      "system : where would you like to go ?",
      "user : i want to get to the ghandi.",
      "system : where will the taxi be picking you up at and what time do you wish to arrive at the ghandi ?",
      "user : it should pick me up from leverton house  at whatever time is necessary to get me there by 01:45."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = the gandhi ; departure = leverton house ; arriveby = 01:45",
    "reply": "system : i have booked a [taxi_type] to pick you up at the [hotel_name] , and will take you to the ghandi before [value_time] . the contact number is [taxi_phone] . is that all ?",
    "name": "SNG1163.json",
    "dp": "dp : taxi ( inform ( arrive = 01:45 , dest = the ghandi , car = white tesla , depart = leverton house , phone = 07484372393 ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : i want to book a taxi.",
      "system : where would you like to go ?",
      "user : i want to get to the ghandi.",
      "system : where will the taxi be picking you up at and what time do you wish to arrive at the ghandi ?",
      "user : it should pick me up from leverton house  at whatever time is necessary to get me there by 01:45.",
      "system : i have booked a [taxi_type] to pick you up at the [hotel_name] , and will take you to the ghandi before [value_time] . the contact number is [taxi_phone] . is that all ?",
      "user : great!! that is all for now, thank you so much."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = the gandhi ; departure = leverton house ; arriveby = 01:45",
    "reply": "system : happy to be of service goodbye !",
    "name": "SNG1163.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : hi.  can you please help me find a train to leicester.  i need to leave on monday."
    ],
    "kb": "kb : train four",
    "belief": "belief : train destination = leicester ; day = monday",
    "reply": "system : do you want to arrive or leave at a certain time ?",
    "name": "SNG0410.json",
    "dp": "dp : train ( request ( arrive , leave ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi.  can you please help me find a train to leicester.  i need to leave on monday.",
      "system : do you want to arrive or leave at a certain time ?",
      "user : yes, i need to leave sometime after 20:00 from cambridge.  it doesn't matter when i get there."
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:00 ; destination = leicester ; day = monday ; departure = cambridge",
    "reply": "system : okay [train_id] departs at [value_time] . would you like me to book that for you ?",
    "name": "SNG0410.json",
    "dp": "dp : train ( inform ( leave = 20:21 , id = tr9424 ) ; offerbook ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi.  can you please help me find a train to leicester.  i need to leave on monday.",
      "system : do you want to arrive or leave at a certain time ?",
      "user : yes, i need to leave sometime after 20:00 from cambridge.  it doesn't matter when i get there.",
      "system : okay [train_id] departs at [value_time] . would you like me to book that for you ?",
      "user : could you book a trip for five people, and give me the reference number?"
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:00 ; destination = leicester ; day = monday ; departure = cambridge | booking people = 5",
    "reply": "system : i have those seats booked for you . your reference number is [train_reference] . you will pay [value_count] gbp at the station .",
    "name": "SNG0410.json",
    "dp": "dp : train ( offerbooked ( ref = q0b623jd , ticket = 189 gbp ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi.  can you please help me find a train to leicester.  i need to leave on monday.",
      "system : do you want to arrive or leave at a certain time ?",
      "user : yes, i need to leave sometime after 20:00 from cambridge.  it doesn't matter when i get there.",
      "system : okay [train_id] departs at [value_time] . would you like me to book that for you ?",
      "user : could you book a trip for five people, and give me the reference number?",
      "system : i have those seats booked for you . your reference number is [train_reference] . you will pay [value_count] gbp at the station .",
      "user : thank you that's all i needed today."
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:00 ; destination = leicester ; day = monday ; departure = cambridge | booking people = 5",
    "reply": "system : you are welcome . have a great day !",
    "name": "SNG0410.json",
    "dp": "dp : general ( bye ( none = none ) ; welcome ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : i'm looking for a 3 star hotel."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 3",
    "reply": "system : there are [value_count] hotel -s listed at [value_count] star . there are [value_count] in the [value_area] , [value_count] [value_area] , [value_count] [value_area] and [value_count] [value_area] . would you like more information ?",
    "name": "SNG0877.json",
    "dp": "dp : hotel ( inform ( area = north , area =  south , area =  west , area =  centre , choice = 6 , type = hotel , stars = 3 ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a 3 star hotel.",
      "system : there are [value_count] hotel -s listed at [value_count] star . there are [value_count] in the [value_area] , [value_count] [value_area] , [value_count] [value_area] and [value_count] [value_area] . would you like more information ?",
      "user : i don't care where the hotel is located, but i'm looking for something in the moderate price range."
    ],
    "kb": "kb : hotel four",
    "belief": "belief : hotel area = dont care ; pricerange = moderate ; stars = 3",
    "reply": "system : i have [value_count] options for you . do you need free wifi and parking ? i have [value_count] that offer these and [value_count] that does not .",
    "name": "SNG0877.json",
    "dp": "dp : hotel ( request ( internet , parking ) ; inform ( choice = 4 , internet = none , parking = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a 3 star hotel.",
      "system : there are [value_count] hotel -s listed at [value_count] star . there are [value_count] in the [value_area] , [value_count] [value_area] , [value_count] [value_area] and [value_count] [value_area] . would you like more information ?",
      "user : i don't care where the hotel is located, but i'm looking for something in the moderate price range.",
      "system : i have [value_count] options for you . do you need free wifi and parking ? i have [value_count] that offer these and [value_count] that does not .",
      "user : yes please. can you recommend me of them?"
    ],
    "kb": "kb : hotel three",
    "belief": "belief : hotel area = dont care ; parking = yes ; pricerange = moderate ; stars = 3 ; internet = yes",
    "reply": "system : the [hotel_name] is nice and in the [value_area] area . would you like a booking today ?",
    "name": "SNG0877.json",
    "dp": "dp : booking ( inform ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a 3 star hotel.",
      "system : there are [value_count] hotel -s listed at [value_count] star . there are [value_count] in the [value_area] , [value_count] [value_area] , [value_count] [value_area] and [value_count] [value_area] . would you like more information ?",
      "user : i don't care where the hotel is located, but i'm looking for something in the moderate price range.",
      "system : i have [value_count] options for you . do you need free wifi and parking ? i have [value_count] that offer these and [value_count] that does not .",
      "user : yes please. can you recommend me of them?",
      "system : the [hotel_name] is nice and in the [value_area] area . would you like a booking today ?",
      "user : no, thank you. can i just get the address, please?"
    ],
    "kb": "kb : hotel one",
    "belief": "belief : hotel name = hamilton lodge ; area = dont care ; parking = yes ; pricerange = moderate ; stars = 3 ; internet = yes",
    "reply": "system : the [hotel_name] is located [hotel_address] . would you like me to help you with anything else ?",
    "name": "SNG0877.json",
    "dp": "dp : hotel ( inform ( addr = 156 chesterton road , name = the hamilton lodge ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a 3 star hotel.",
      "system : there are [value_count] hotel -s listed at [value_count] star . there are [value_count] in the [value_area] , [value_count] [value_area] , [value_count] [value_area] and [value_count] [value_area] . would you like more information ?",
      "user : i don't care where the hotel is located, but i'm looking for something in the moderate price range.",
      "system : i have [value_count] options for you . do you need free wifi and parking ? i have [value_count] that offer these and [value_count] that does not .",
      "user : yes please. can you recommend me of them?",
      "system : the [hotel_name] is nice and in the [value_area] area . would you like a booking today ?",
      "user : no, thank you. can i just get the address, please?",
      "system : the [hotel_name] is located [hotel_address] . would you like me to help you with anything else ?",
      "user : that's all i need today - i appreciate your help!"
    ],
    "kb": "kb : hotel one",
    "belief": "belief : hotel name = hamilton lodge ; area = dont care ; parking = yes ; pricerange = moderate ; stars = 3 ; internet = yes",
    "reply": "system : of course . let me know if there s anything else i can help you with .",
    "name": "SNG0877.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food."
    ],
    "kb": "kb : restaurant three",
    "belief": "belief : restaurant food = international",
    "reply": "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
    "name": "WOZ20570.json",
    "dp": "dp : restaurant ( request ( area , price ) ; inform ( choice = three ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food.",
      "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
      "user : no, any price range is fine. can you recommend one of the restaurants?"
    ],
    "kb": "kb : restaurant three",
    "belief": "belief : restaurant food = international ; pricerange = dont care",
    "reply": "system : [restaurant_name] is an [value_food] restaurant in the [value_area] area .",
    "name": "WOZ20570.json",
    "dp": "dp : restaurant ( inform ( name = bloomsbury restaurant , food = international , area = centre  ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food.",
      "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
      "user : no, any price range is fine. can you recommend one of the restaurants?",
      "system : [restaurant_name] is an [value_food] restaurant in the [value_area] area .",
      "user : hmm, i don't really like the food there. is there anything else?"
    ],
    "kb": "kb : restaurant three",
    "belief": "belief : restaurant food = international ; pricerange = dont care",
    "reply": "system : [restaurant_name] is another restaurant there .",
    "name": "WOZ20570.json",
    "dp": "dp : restaurant ( inform ( name = the missing sock ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food.",
      "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
      "user : no, any price range is fine. can you recommend one of the restaurants?",
      "system : [restaurant_name] is an [value_food] restaurant in the [value_area] area .",
      "user : hmm, i don't really like the food there. is there anything else?",
      "system : [restaurant_name] is another restaurant there .",
      "user : can i get the address and phone number, please?"
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = international ; pricerange = dont care ; name = the missing sock",
    "reply": "system : [restaurant_name] is located at [restaurant_address] and their phone number is [restaurant_phone] .",
    "name": "WOZ20570.json",
    "dp": "dp : restaurant ( inform ( phone = 01223 812660 , name = the missing sock , addr = finders corner newmarket road ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food.",
      "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
      "user : no, any price range is fine. can you recommend one of the restaurants?",
      "system : [restaurant_name] is an [value_food] restaurant in the [value_area] area .",
      "user : hmm, i don't really like the food there. is there anything else?",
      "system : [restaurant_name] is another restaurant there .",
      "user : can i get the address and phone number, please?",
      "system : [restaurant_name] is located at [restaurant_address] and their phone number is [restaurant_phone] .",
      "user : thank you."
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = international ; pricerange = dont care ; name = the missing sock",
    "reply": "system : thank you .",
    "name": "WOZ20570.json",
    "dp": "dp : general ( welcome ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : hello, i am looking for a restaurant that serves international food.",
      "system : i am showing [value_count] restaurant -s that fit that description . are you interested in a particular area or price range ?",
      "user : no, any price range is fine. can you recommend one of the restaurants?",
      "system : [restaurant_name] is an [value_food] restaurant in the [value_area] area .",
      "user : hmm, i don't really like the food there. is there anything else?",
      "system : [restaurant_name] is another restaurant there .",
      "user : can i get the address and phone number, please?",
      "system : [restaurant_name] is located at [restaurant_address] and their phone number is [restaurant_phone] .",
      "user : thank you.",
      "system : thank you .",
      "user : thank you"
    ],
    "kb": "kb : restaurant one",
    "belief": "belief : restaurant food = international ; pricerange = dont care ; name = the missing sock",
    "reply": "system : goodbye .",
    "name": "WOZ20570.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : i'm looking for a place to stay with free wifi."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel internet = yes",
    "reply": "system : all right , we have many place -s to stay with free wi fi . what area of town would you like to stay in ?",
    "name": "SNG0886.json",
    "dp": "dp : hotel ( request ( area ) ; inform ( internet = none , choice = many ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a place to stay with free wifi.",
      "system : all right , we have many place -s to stay with free wi fi . what area of town would you like to stay in ?",
      "user : i'd like to be in the north, and i need a place with free parking. i'd also like to keep the price to a moderate range."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel area = north ; parking = yes ; pricerange = moderate ; internet = yes",
    "reply": "system : there are several place -s that meet that criteria . do you have a preference on star rating ?",
    "name": "SNG0886.json",
    "dp": "dp : hotel ( request ( stars ) ; inform ( choice = several ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a place to stay with free wifi.",
      "system : all right , we have many place -s to stay with free wi fi . what area of town would you like to stay in ?",
      "user : i'd like to be in the north, and i need a place with free parking. i'd also like to keep the price to a moderate range.",
      "system : there are several place -s that meet that criteria . do you have a preference on star rating ?",
      "user : no, could you make a recommendation based on that criteria and send me the postcode, address, and hotel type, please?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel area = north ; parking = yes ; pricerange = moderate ; internet = yes",
    "reply": "system : i recommend the [hotel_name] . it is a guesthouse with [value_count] star rating -s . the postcode is [hotel_postcode] , and the address is [hotel_address] .",
    "name": "SNG0886.json",
    "dp": "dp : hotel ( recommend ( name = kirkwood house ) ; inform ( addr = 172 chesterton road , post = cb41da , stars = 4 , type = guesthouse ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm looking for a place to stay with free wifi.",
      "system : all right , we have many place -s to stay with free wi fi . what area of town would you like to stay in ?",
      "user : i'd like to be in the north, and i need a place with free parking. i'd also like to keep the price to a moderate range.",
      "system : there are several place -s that meet that criteria . do you have a preference on star rating ?",
      "user : no, could you make a recommendation based on that criteria and send me the postcode, address, and hotel type, please?",
      "system : i recommend the [hotel_name] . it is a guesthouse with [value_count] star rating -s . the postcode is [hotel_postcode] , and the address is [hotel_address] .",
      "user : that's all the information i need. thank you so much for your help. bye!"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel area = north ; parking = yes ; pricerange = moderate ; internet = yes",
    "reply": "system : you are welcome . have a great day .",
    "name": "SNG0886.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i need to book a taxi departing from parkside police station."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi departure = parkside police station",
    "reply": "system : okay , what is your destination ?",
    "name": "SNG01181.json",
    "dp": "dp : taxi ( request ( dest ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : i need to book a taxi departing from parkside police station.",
      "system : okay , what is your destination ?",
      "user : i need to go to aylesbray lodge guest house."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = aylesbray lodge guest house ; departure = parkside police station",
    "reply": "system : okay , what time do you want to leave ?",
    "name": "SNG01181.json",
    "dp": "dp : taxi ( request ( leave ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : i need to book a taxi departing from parkside police station.",
      "system : okay , what is your destination ?",
      "user : i need to go to aylesbray lodge guest house.",
      "system : okay , what time do you want to leave ?",
      "user : i need to arrive by 18:15."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = aylesbray lodge guest house ; departure = parkside police station ; arriveby = 18:15",
    "reply": "system : booking completed ! booked car type [taxi_type] contact number [taxi_phone]",
    "name": "SNG01181.json",
    "dp": "dp : taxi ( inform ( car = white toyota , phone = 07160513391 ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : hello, i'm looking for a train from cambridge to norwich."
    ],
    "kb": "kb : train more than five",
    "belief": "belief : train destination = norwich ; departure = cambridge",
    "reply": "system : certainly , there are many trains going that route . can you specify which day you would like to travel ?",
    "name": "SNG0352.json",
    "dp": "dp : train ( inform ( choice = many ) ; request ( day ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello, i'm looking for a train from cambridge to norwich.",
      "system : certainly , there are many trains going that route . can you specify which day you would like to travel ?",
      "user : sorry.  i want to leave on saturday after 20:30."
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:30 ; destination = norwich ; day = saturday ; departure = cambridge",
    "reply": "system : there is a train [value_day] at [value_time] . does that work for you ?",
    "name": "SNG0352.json",
    "dp": "dp : train ( inform ( day = saturday , leave = 20:36 ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello, i'm looking for a train from cambridge to norwich.",
      "system : certainly , there are many trains going that route . can you specify which day you would like to travel ?",
      "user : sorry.  i want to leave on saturday after 20:30.",
      "system : there is a train [value_day] at [value_time] . does that work for you ?",
      "user : yes that works great can i book that for 5 people please?"
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:30 ; destination = norwich ; day = saturday ; departure = cambridge | booking people = 5",
    "reply": "system : i have confirmed booking for [value_count] tickets , your reference number is [train_reference] . the total fee is [value_price] gbp payable at the station . can i help with anything else ?",
    "name": "SNG0352.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello, i'm looking for a train from cambridge to norwich.",
      "system : certainly , there are many trains going that route . can you specify which day you would like to travel ?",
      "user : sorry.  i want to leave on saturday after 20:30.",
      "system : there is a train [value_day] at [value_time] . does that work for you ?",
      "user : yes that works great can i book that for 5 people please?",
      "system : i have confirmed booking for [value_count] tickets , your reference number is [train_reference] . the total fee is [value_price] gbp payable at the station . can i help with anything else ?",
      "user : thanks, that's all i need. have a nice day."
    ],
    "kb": "kb : train two",
    "belief": "belief : train leaveat = 20:30 ; destination = norwich ; day = saturday ; departure = cambridge | booking people = 5",
    "reply": "system : great ! i am glad we could help .",
    "name": "SNG0352.json",
    "dp": "dp : general ( bye ( none = none ) ; welcome ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?"
    ],
    "kb": "kb : train more than five",
    "belief": "belief : train leaveat = 08:00 ; day = sunday",
    "reply": "system : what is your destination ?",
    "name": "SNG0264.json",
    "dp": "dp : train ( request ( dest ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?",
      "system : what is your destination ?",
      "user : im going to kings lynn"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 08:00 ; destination = kings lynn ; day = sunday",
    "reply": "system : where will you be leaving from ?",
    "name": "SNG0264.json",
    "dp": "dp : train ( request ( depart ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?",
      "system : what is your destination ?",
      "user : im going to kings lynn",
      "system : where will you be leaving from ?",
      "user : i would be leaving from cambridge."
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 08:00 ; destination = kings lynn ; day = sunday ; departure = cambridge",
    "reply": "system : there is a train leaving at [value_time] would that work for you ?",
    "name": "SNG0264.json",
    "dp": "dp : train ( inform ( leave = 9:11 ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?",
      "system : what is your destination ?",
      "user : im going to kings lynn",
      "system : where will you be leaving from ?",
      "user : i would be leaving from cambridge.",
      "system : there is a train leaving at [value_time] would that work for you ?",
      "user : yes, that would be fine. what's the train id and travel time for that one?"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 08:00 ; destination = kings lynn ; day = sunday ; departure = cambridge",
    "reply": "system : the [value_place] train leaves at [value_time] on [value_day] .",
    "name": "SNG0264.json",
    "dp": "dp : train ( inform ( depart = cambridge , day = sunday , leave = 9:11 ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?",
      "system : what is your destination ?",
      "user : im going to kings lynn",
      "system : where will you be leaving from ?",
      "user : i would be leaving from cambridge.",
      "system : there is a train leaving at [value_time] would that work for you ?",
      "user : yes, that would be fine. what's the train id and travel time for that one?",
      "system : the [value_place] train leaves at [value_time] on [value_day] .",
      "user : can you give me the id for this train and the overall travel time?"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 08:00 ; destination = kings lynn ; day = sunday ; departure = cambridge",
    "reply": "system : the id is [train_id] and the total travel time is [value_count] minutes . can i be of further assistance today ?",
    "name": "SNG0264.json",
    "dp": "dp : train ( inform ( id = tr6088 , time = 47 minutes ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hello.  are there any trains leaving after 8:00 on saturday?",
      "system : what is your destination ?",
      "user : im going to kings lynn",
      "system : where will you be leaving from ?",
      "user : i would be leaving from cambridge.",
      "system : there is a train leaving at [value_time] would that work for you ?",
      "user : yes, that would be fine. what's the train id and travel time for that one?",
      "system : the [value_place] train leaves at [value_time] on [value_day] .",
      "user : can you give me the id for this train and the overall travel time?",
      "system : the id is [train_id] and the total travel time is [value_count] minutes . can i be of further assistance today ?",
      "user : that is all i will need. good bye."
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 08:00 ; destination = kings lynn ; day = sunday ; departure = cambridge",
    "reply": "system : please let us know if we can assist you in the future . have a great day !",
    "name": "SNG0264.json",
    "dp": "dp : general ( bye ( none = none ) ; reqmore ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi, on tuesday i need to leave cambridge by train. can you help me with the arrangements?"
    ],
    "kb": "kb : train more than five",
    "belief": "belief : train day = tuesday ; departure = cambridge",
    "reply": "system : what destination will you be traveling to ?",
    "name": "SNG01823.json",
    "dp": "dp : train ( request ( dest ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi, on tuesday i need to leave cambridge by train. can you help me with the arrangements?",
      "system : what destination will you be traveling to ?",
      "user : the train should leave after 10:15 and should go to peterborough"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 10:15 ; destination = peterborough ; day = tuesday ; departure = cambridge",
    "reply": "system : will you be travelling alone or in a party ?",
    "name": "SNG01823.json",
    "dp": "dp : train ( request ( people ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi, on tuesday i need to leave cambridge by train. can you help me with the arrangements?",
      "system : what destination will you be traveling to ?",
      "user : the train should leave after 10:15 and should go to peterborough",
      "system : will you be travelling alone or in a party ?",
      "user : i haven't decided yet. what time will the train reach the station in peterborough?"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 10:15 ; destination = peterborough ; day = tuesday ; departure = cambridge",
    "reply": "system : if you leave [value_place] at [value_time] , you should arrive in [value_place] at [value_time] .",
    "name": "SNG01823.json",
    "dp": "dp : train ( inform ( dest = peterborough , depart = cambridge , arrive = 11:24 , leave = 10:34 ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi, on tuesday i need to leave cambridge by train. can you help me with the arrangements?",
      "system : what destination will you be traveling to ?",
      "user : the train should leave after 10:15 and should go to peterborough",
      "system : will you be travelling alone or in a party ?",
      "user : i haven't decided yet. what time will the train reach the station in peterborough?",
      "system : if you leave [value_place] at [value_time] , you should arrive in [value_place] at [value_time] .",
      "user : welcome. at your service next time"
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 10:15 ; destination = peterborough ; day = tuesday ; departure = cambridge",
    "reply": "system : do you need any further assistance ?",
    "name": "SNG01823.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : hi, on tuesday i need to leave cambridge by train. can you help me with the arrangements?",
      "system : what destination will you be traveling to ?",
      "user : the train should leave after 10:15 and should go to peterborough",
      "system : will you be travelling alone or in a party ?",
      "user : i haven't decided yet. what time will the train reach the station in peterborough?",
      "system : if you leave [value_place] at [value_time] , you should arrive in [value_place] at [value_time] .",
      "user : welcome. at your service next time",
      "system : do you need any further assistance ?",
      "user : that is all i needed today."
    ],
    "kb": "kb : train four",
    "belief": "belief : train leaveat = 10:15 ; destination = peterborough ; day = tuesday ; departure = cambridge",
    "reply": "system : thank you for using our services .",
    "name": "SNG01823.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "train"
    ]
  },
  {
    "history": [
      "user : yes, i need a taxi to take me to the addenbrookes hospital."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = addenbrookes hospital",
    "reply": "system : i do not think you want a taxi , but here s the address [hospital_address] , [value_place] .",
    "name": "SNG01552.json",
    "dp": "dp : n",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : yes, i need a taxi to take me to the addenbrookes hospital.",
      "system : i do not think you want a taxi , but here s the address [hospital_address] , [value_place] .",
      "user : yes, thank you for your help."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = addenbrookes hospital",
    "reply": "system : enjoyed your services . keep that up",
    "name": "SNG01552.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : yes, i need a taxi to take me to the addenbrookes hospital.",
      "system : i do not think you want a taxi , but here s the address [hospital_address] , [value_place] .",
      "user : yes, thank you for your help.",
      "system : enjoyed your services . keep that up",
      "user : that's all i need for today. good bye."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = addenbrookes hospital",
    "reply": "system : glad i could help . have a great day .",
    "name": "SNG01552.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : can you help me find the fitzwilliam museum?"
    ],
    "kb": "kb : attraction zero",
    "belief": "belief : attraction type = museum ; name = fitzwilliam museum",
    "reply": "system : [attraction_name] is in the [value_area] , and is located on [attraction_address] .",
    "name": "SNG1355.json",
    "dp": "dp : attraction ( inform ( area = centre , name = fitzwilliam museum , addr = trumpington street ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : can you help me find the fitzwilliam museum?",
      "system : [attraction_name] is in the [value_area] , and is located on [attraction_address] .",
      "user : can i get the address, attraction type, and area please?"
    ],
    "kb": "kb : attraction zero",
    "belief": "belief : attraction type = museum ; name = fitzwilliam museum",
    "reply": "system : sure , it is a museum in the [value_area] , located on [attraction_address] . can i help you with anything else ?",
    "name": "SNG1355.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : can you help me find the fitzwilliam museum?",
      "system : [attraction_name] is in the [value_area] , and is located on [attraction_address] .",
      "user : can i get the address, attraction type, and area please?",
      "system : sure , it is a museum in the [value_area] , located on [attraction_address] . can i help you with anything else ?",
      "user : no, you've been great! thank you for helping."
    ],
    "kb": "kb : attraction zero",
    "belief": "belief : attraction type = museum ; name = fitzwilliam museum",
    "reply": "system : enjoy your visit to the museum . goodbye !",
    "name": "SNG1355.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : want to book a taxi"
    ],
    "kb": "restaurant : 110 ; hotel : 33 ; attraction : 79 ; train : 2828|restaurant not booked;hotel not booked;train not booked",
    "belief": "belief : none",
    "reply": "system : where are you going & where should it pick you up ?",
    "name": "SNG1336.json",
    "dp": "dp : taxi ( request ( depart , dest ) )",
    "domains": []
  },
  {
    "history": [
      "user : want to book a taxi",
      "system : where are you going & where should it pick you up ?",
      "user : i am departing from sala thong and need to go to abbey pool and astroturf pitch. i need to arrive by 16:45."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = abbey pool and astroturf pitch ; departure = sala thong ; arriveby = 16:45",
    "reply": "system : booked ! your car is a [taxi_type] . contact number [taxi_phone] .",
    "name": "SNG1336.json",
    "dp": "dp : taxi ( inform ( car = yellow toyota , phone = 07041103823 ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : want to book a taxi",
      "system : where are you going & where should it pick you up ?",
      "user : i am departing from sala thong and need to go to abbey pool and astroturf pitch. i need to arrive by 16:45.",
      "system : booked ! your car is a [taxi_type] . contact number [taxi_phone] .",
      "user : thanks,i really appreciate your help today"
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = abbey pool and astroturf pitch ; departure = sala thong ; arriveby = 16:45",
    "reply": "system : no problem . if you need anything else , do not hesitate to call back . goodbye .",
    "name": "SNG1336.json",
    "dp": "dp : general ( bye ( none = none ) ; welcome ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house.."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 4 ; type = guesthouse",
    "reply": "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
    "name": "SSNG0207.json",
    "dp": "dp : hotel ( request ( area , price ) ; inform ( area = different parts of the city , choice = several ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house..",
      "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
      "user : i'll need free wifi."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 4 ; internet = yes ; type = guesthouse",
    "reply": "system : that s no problem . [value_count] of our lodging establishments offer free wifi . is there a price range or location you would prefer ?",
    "name": "SSNG0207.json",
    "dp": "dp : hotel ( request ( area , price ) ; inform ( choice = 18 , internet = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house..",
      "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
      "user : i'll need free wifi.",
      "system : that s no problem . [value_count] of our lodging establishments offer free wifi . is there a price range or location you would prefer ?",
      "user : not really, but i will need a room for 5 starting on thursday. are there any with that availability?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 4 ; internet = yes ; type = guesthouse | booking day = thursday ; people = 5 ; stay = 5",
    "reply": "system : how many nights would you like to stay ?",
    "name": "SSNG0207.json",
    "dp": "dp : booking ( request ( stay ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house..",
      "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
      "user : i'll need free wifi.",
      "system : that s no problem . [value_count] of our lodging establishments offer free wifi . is there a price range or location you would prefer ?",
      "user : not really, but i will need a room for 5 starting on thursday. are there any with that availability?",
      "system : how many nights would you like to stay ?",
      "user : we'll be staying for five nights."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 4 ; internet = yes ; type = guesthouse | booking day = thursday ; people = 5 ; stay = 5",
    "reply": "system : i have made a booking at the [hotel_name] for you . the reservation number is [hotel_reference] .",
    "name": "SSNG0207.json",
    "dp": "dp : hotel ( inform ( ref = 0lv52r28 ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house..",
      "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
      "user : i'll need free wifi.",
      "system : that s no problem . [value_count] of our lodging establishments offer free wifi . is there a price range or location you would prefer ?",
      "user : not really, but i will need a room for 5 starting on thursday. are there any with that availability?",
      "system : how many nights would you like to stay ?",
      "user : we'll be staying for five nights.",
      "system : i have made a booking at the [hotel_name] for you . the reservation number is [hotel_reference] .",
      "user : thank you.  could i please get the address and phone number?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel stars = 4 ; internet = yes ; type = guesthouse | booking day = thursday ; people = 5 ; stay = 5",
    "reply": "system : yes , address is [hotel_address] . their phone number is [hotel_phone] . is there anything else i can do for you ?",
    "name": "SSNG0207.json",
    "dp": "dp : hotel ( inform ( addr = 154 chesterton road , phone = 01223353888 ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i am looking for a four star guest house..",
      "system : yes i have several listings in different parts of the city . do you have a price range or location preference ?",
      "user : i'll need free wifi.",
      "system : that s no problem . [value_count] of our lodging establishments offer free wifi . is there a price range or location you would prefer ?",
      "user : not really, but i will need a room for 5 starting on thursday. are there any with that availability?",
      "system : how many nights would you like to stay ?",
      "user : we'll be staying for five nights.",
      "system : i have made a booking at the [hotel_name] for you . the reservation number is [hotel_reference] .",
      "user : thank you.  could i please get the address and phone number?",
      "system : yes , address is [hotel_address] . their phone number is [hotel_phone] . is there anything else i can do for you ?",
      "user : no, that will do. thanks!"
    ],
    "kb": "kb : hotel one",
    "belief": "belief : hotel name = acorn guest house ; stars = 4 ; internet = yes ; type = guesthouse | booking day = thursday ; people = 5 ; stay = 5",
    "reply": "system : have a good trip . thank you for calling the [value_place] towninfo [value_area] . goodbye .",
    "name": "SSNG0207.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : hi! i would like to book a taxi that will take me to pizza hut cherry hinton. i will be departing from parkside pools."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi destination = pizza hut cherry hinton ; departure = parkside pools",
    "reply": "system : what time would you like to leave ?",
    "name": "SNG0066.json",
    "dp": "dp : taxi ( request ( leave ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : hi! i would like to book a taxi that will take me to pizza hut cherry hinton. i will be departing from parkside pools.",
      "system : what time would you like to leave ?",
      "user : i want to leave after 02:00"
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi leaveat = 02:00 ; destination = pizza hut cherry hinton ; departure = parkside pools",
    "reply": "system : i can book a [taxi_type] for you . the contact number of the company is [taxi_phone] . can i help with anything else ?",
    "name": "SNG0066.json",
    "dp": "dp : taxi ( inform ( car = black ford , phone = 07708238835 ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : hi! i would like to book a taxi that will take me to pizza hut cherry hinton. i will be departing from parkside pools.",
      "system : what time would you like to leave ?",
      "user : i want to leave after 02:00",
      "system : i can book a [taxi_type] for you . the contact number of the company is [taxi_phone] . can i help with anything else ?",
      "user : thank you very much."
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi leaveat = 02:00 ; destination = pizza hut cherry hinton ; departure = parkside pools",
    "reply": "system : we are happy to help . do you require any further assistance ?",
    "name": "SNG0066.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : hi! i would like to book a taxi that will take me to pizza hut cherry hinton. i will be departing from parkside pools.",
      "system : what time would you like to leave ?",
      "user : i want to leave after 02:00",
      "system : i can book a [taxi_type] for you . the contact number of the company is [taxi_phone] . can i help with anything else ?",
      "user : thank you very much.",
      "system : we are happy to help . do you require any further assistance ?",
      "user : nope that is all thank you so much you are amazing and awesome and cool and nice"
    ],
    "kb": "kb : taxi",
    "belief": "belief : taxi leaveat = 02:00 ; destination = pizza hut cherry hinton ; departure = parkside pools",
    "reply": "system : thank you for the kind words . you have a great day .",
    "name": "SNG0066.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "taxi"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?"
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south",
    "reply": "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
    "name": "SSNG0032.json",
    "dp": "dp : restaurant ( select ( none = none ) ; inform ( food = chinese , food =  portuguese ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?",
      "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
      "user : does this restaurant serve fusion food?"
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south",
    "reply": "system : no , i am sorry . either [value_food] or [value_food] .",
    "name": "SSNG0032.json",
    "dp": "dp : restaurant ( nooffer ( none = none ) ; inform ( food = chinese , food =  portuguese ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?",
      "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
      "user : does this restaurant serve fusion food?",
      "system : no , i am sorry . either [value_food] or [value_food] .",
      "user : that's disappointing. can you tell me about the chinese restaurant?"
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south",
    "reply": "system : it s called [restaurant_name] . it s at [restaurant_address] cherry hinton .",
    "name": "SSNG0032.json",
    "dp": "dp : restaurant ( inform ( name = the lucky star , addr = cambridge leisure park clifton way cherry hinton ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?",
      "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
      "user : does this restaurant serve fusion food?",
      "system : no , i am sorry . either [value_food] or [value_food] .",
      "user : that's disappointing. can you tell me about the chinese restaurant?",
      "system : it s called [restaurant_name] . it s at [restaurant_address] cherry hinton .",
      "user : great can you book it for 1 person at 17:15 on saturday?"
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south | booking day = saturday ; people = 1 ; time = 17:15",
    "reply": "system : it is not available . shall i try the [value_food] restaurant ?",
    "name": "SSNG0032.json",
    "dp": "dp : restaurant ( select ( food = portuguese ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?",
      "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
      "user : does this restaurant serve fusion food?",
      "system : no , i am sorry . either [value_food] or [value_food] .",
      "user : that's disappointing. can you tell me about the chinese restaurant?",
      "system : it s called [restaurant_name] . it s at [restaurant_address] cherry hinton .",
      "user : great can you book it for 1 person at 17:15 on saturday?",
      "system : it is not available . shall i try the [value_food] restaurant ?",
      "user : yes, that would be fine, thanks."
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south | booking day = saturday ; people = 1 ; time = 17:15",
    "reply": "system : your table will be waiting for you . your reference number is [restaurant_reference] .",
    "name": "SSNG0032.json",
    "dp": "dp : booking ( book ( ref = 6u8pg73h ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : yes, i am looking for a cheap restaurant in the south.  can you tell me what you have?",
      "system : sure . there is a [value_food] restaurant and a [value_food] restaurant . would you like me to book [value_count] for you ?",
      "user : does this restaurant serve fusion food?",
      "system : no , i am sorry . either [value_food] or [value_food] .",
      "user : that's disappointing. can you tell me about the chinese restaurant?",
      "system : it s called [restaurant_name] . it s at [restaurant_address] cherry hinton .",
      "user : great can you book it for 1 person at 17:15 on saturday?",
      "system : it is not available . shall i try the [value_food] restaurant ?",
      "user : yes, that would be fine, thanks.",
      "system : your table will be waiting for you . your reference number is [restaurant_reference] .",
      "user : thank you for you help. that is all i need."
    ],
    "kb": "kb : restaurant two",
    "belief": "belief : restaurant pricerange = cheap ; area = south | booking day = saturday ; people = 1 ; time = 17:15",
    "reply": "system : great ! thank you for using the [value_place] towninfo [value_area] . have a wonderful day !",
    "name": "SSNG0032.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "restaurant"
    ]
  },
  {
    "history": [
      "user : can you find me a cheap hotel with free parking?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel parking = yes ; pricerange = cheap",
    "reply": "system : most of the [value_pricerange] options we have are guesthouses , though i do have [value_count] hotel in the [value_area] . do you have a preference ?",
    "name": "SNG0777.json",
    "dp": "dp : hotel ( select ( none = none ) ; inform ( area = west , choice = most , choice =  one , price = cheap , type = guesthouses , type =  hotel ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : can you find me a cheap hotel with free parking?",
      "system : most of the [value_pricerange] options we have are guesthouses , though i do have [value_count] hotel in the [value_area] . do you have a preference ?",
      "user : how many stars does this hotel have, and does it have wifi?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel parking = yes ; pricerange = cheap",
    "reply": "system : it has a [value_count] star rating and wifi yes .",
    "name": "SNG0777.json",
    "dp": "dp : hotel ( inform ( internet = none , stars = 4 ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : can you find me a cheap hotel with free parking?",
      "system : most of the [value_pricerange] options we have are guesthouses , though i do have [value_count] hotel in the [value_area] . do you have a preference ?",
      "user : how many stars does this hotel have, and does it have wifi?",
      "system : it has a [value_count] star rating and wifi yes .",
      "user : can you tell me the name and phone number of that hotel please?"
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel parking = yes ; pricerange = cheap",
    "reply": "system : it is [hotel_name] hotel and the phone number is [hotel_phone] . do you need any other details ?",
    "name": "SNG0777.json",
    "dp": "dp : hotel ( inform ( phone = 01954714600 , name = the cambridge belfry , type = hotel ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : can you find me a cheap hotel with free parking?",
      "system : most of the [value_pricerange] options we have are guesthouses , though i do have [value_count] hotel in the [value_area] . do you have a preference ?",
      "user : how many stars does this hotel have, and does it have wifi?",
      "system : it has a [value_count] star rating and wifi yes .",
      "user : can you tell me the name and phone number of that hotel please?",
      "system : it is [hotel_name] hotel and the phone number is [hotel_phone] . do you need any other details ?",
      "user : no, actually that did it. i have all i need. thanks again. goodbye."
    ],
    "kb": "kb : hotel more than five",
    "belief": "belief : hotel parking = yes ; pricerange = cheap",
    "reply": "system : have a nice day , goodbye !",
    "name": "SNG0777.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "hotel"
    ]
  },
  {
    "history": [
      "user : i'm trying to find a good museum in town."
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum",
    "reply": "system : there are a multitude of museums in town . what side of town are you in ?",
    "name": "SNG1129.json",
    "dp": "dp : attraction ( request ( area ) ; inform ( type = museum , choice = a multitude ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i'm trying to find a good museum in town.",
      "system : there are a multitude of museums in town . what side of town are you in ?",
      "user : i am open to any side of town!"
    ],
    "kb": "kb : attraction more than five",
    "belief": "belief : attraction type = museum",
    "reply": "system : would you be interested in [attraction_name] ?",
    "name": "SNG1129.json",
    "dp": "dp : attraction ( inform ( name = broughton house gallery ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i'm trying to find a good museum in town.",
      "system : there are a multitude of museums in town . what side of town are you in ?",
      "user : i am open to any side of town!",
      "system : would you be interested in [attraction_name] ?",
      "user : that would be great. can i get the postcode, please?"
    ],
    "kb": "kb : attraction one",
    "belief": "belief : attraction type = museum ; name = broughton house gallery",
    "reply": "system : sure . the postcode is [restaurant_postcode] . is there anything else i can answer for you today ?",
    "name": "SNG1129.json",
    "dp": "dp : general ( reqmore ( none = none ) )",
    "domains": [
      "attraction"
    ]
  },
  {
    "history": [
      "user : i'm trying to find a good museum in town.",
      "system : there are a multitude of museums in town . what side of town are you in ?",
      "user : i am open to any side of town!",
      "system : would you be interested in [attraction_name] ?",
      "user : that would be great. can i get the postcode, please?",
      "system : sure . the postcode is [restaurant_postcode] . is there anything else i can answer for you today ?",
      "user : no, that's all. you've been a great help, thanks. i'm sure my visit will be fun. goodbye!"
    ],
    "kb": "kb : attraction one",
    "belief": "belief : attraction type = museum ; name = broughton house gallery",
    "reply": "system : thank you , goodbye .",
    "name": "SNG1129.json",
    "dp": "dp : general ( bye ( none = none ) )",
    "domains": [
      "attraction"
    ]
  }
]